::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: File Name:      WiresharkCaptureTrim.cmd                                         ::
::                                                                                  ::
:: Description:    Packet Sniffer 2 adds 44 bytes of UDP information                ::
::                 to each captured packet in order to pipe into Wireshark.         ::
::                 This script trims those 44 bytes off each packet so Ubiqua       ::
::                 can import the capture nicely.                                   ::
::                                                                                  ::
:: Preconditions:  1. You must have Wireshark installed in the standard directory   ::
::                 2. This script must be in the same folder as your *.pcapng files ::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off
setlocal enableextensions enabledelayedexpansion
:: loop through all *.pcapng files in the current directory
for /r %%i in (*.pcapng) do (
  set append=_trimmed
  set str1=%%~ni
  :: ignore files that already have "_trimmed" appended to the end
  call set str2=%%str1:!append!=%%
  if !str1!==!str2! (
    "C:\Program Files\Wireshark\editcap" -C 44: "%%~nxi" "%%~ni!append!.pcapng"
  )
)
endlocal